-- name: [CS] M&L Connie
-- description: the trailer's been out for a day

local E_MODEL_CONNIE = smlua_model_util_get_id("warioplier_connie_geo")
local E_MODEL_CONNIE_BLU = smlua_model_util_get_id("warioplier_connie_blu_geo")
local E_MODEL_CONNIE_RED = smlua_model_util_get_id("warioplier_connie_red_geo")

local TEX_CONNIE_ICON = get_texture_info("connie-icon")

local TEXT_MOD_NAME = "[CS] M&L Connie"

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Connie", {"i cant even think of a", "goofy silly description", "cuz the trailer's been", "out just a day"}, "Warioplier", {r = 100, g = 100, b = 100}, E_MODEL_CONNIE, CT_TOAD, TEX_CONNIE_ICON)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end

--arena team support

local ConniePlacement = _G.charSelect.character_get_number_from_string("Connie")

arena = false

for i in pairs(gActiveMods) do
    if (gActiveMods[i].name:find("Arena")) or (gActiveMods[i].name:find("Arena +UI")) then
        arena = true
    end
end

local function mario_update(m)
    if m.playerIndex == 0 and arena == true then
        if ConniePlacement == _G.charSelect.character_get_current_number() then
        local np = gNetworkPlayers[0]
        local team = tostring(np.overridePaletteIndex)

        if team == "7" then
        _G.charSelect.character_edit(ConniePlacement, nil, nil, nil, nil, E_MODEL_CONNIE_BLU, nil, nil)
        else if team == "15" then
        _G.charSelect.character_edit(ConniePlacement, nil, nil, nil, nil, E_MODEL_CONNIE_RED, nil, nil)
        else
        _G.charSelect.character_edit(ConniePlacement, nil, nil, nil, nil, E_MODEL_CONNIE, nil, nil)
        end
        end
	end
        else
            return
        end
    end

hook_event(HOOK_MARIO_UPDATE, mario_update)